> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Retrieve application by link ID

GET https://api-sandbox.payabli.com/api/Boarding/linkbyId/{boardingLinkId}

Retrieves details for a boarding link, by ID.

Reference: https://docs.payabli.com/developers/api-reference/boarding/get-boarding-link-by-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi-oas
  version: 1.0.0
paths:
  /Boarding/linkbyId/{boardingLinkId}:
    get:
      operationId: get-by-id-link-application
      summary: Get boarding link by ID
      description: Retrieves details for a boarding link, by ID.
      tags:
        - subpackage_boarding
      parameters:
        - name: boardingLinkId
          in: path
          description: >-
            The boarding link ID. You can find this at the end of the boarding
            link reference name. For example
            `https://boarding.payabli.com/boarding/app/myorgaccountname-00091`.
            The ID is `91`.
          required: true
          schema:
            type: integer
        - name: requestToken
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BoardingLinkQueryRecord'
        '400':
          description: Bad request / invalid data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '503':
          description: Database connection error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
servers:
  - url: https://api-sandbox.payabli.com/api
    description: Sandbox
  - url: https://api.payabli.com/api
    description: Production
components:
  schemas:
    AcceptOauth:
      type: boolean
      title: AcceptOauth
    AcceptRegister:
      type: boolean
      title: AcceptRegister
    ReadOnly:
      type: boolean
      description: When `true`, the element is read-only.
      title: ReadOnly
    RequiredElement:
      type: boolean
      description: When `true`, the element is required.
      title: RequiredElement
    ValueTemplates:
      type: string
      title: ValueTemplates
    LinkData:
      type: object
      properties:
        ro:
          $ref: '#/components/schemas/ReadOnly'
        rq:
          $ref: '#/components/schemas/RequiredElement'
        validator:
          type: string
          description: |
            The type of validation applied to the field. Available values:

            - `text`
            - `alpha`
            - `ein`
            - `url`
            - `phone`
            - `alphanumeric`
            - `zipcode`
            - `numbers`
            - `float`
            - `ssn`
            - `email`
            - `routing`
        value:
          $ref: '#/components/schemas/ValueTemplates'
      title: LinkData
    AchLinkTypes:
      type: object
      properties:
        ccd:
          $ref: '#/components/schemas/LinkData'
        ppd:
          $ref: '#/components/schemas/LinkData'
        web:
          $ref: '#/components/schemas/LinkData'
      title: AchLinkTypes
    LinkRow:
      type: object
      properties:
        columns:
          type: array
          items:
            $ref: '#/components/schemas/LinkData'
      title: LinkRow
    BasicTable:
      type: object
      properties:
        body:
          type: array
          items:
            $ref: '#/components/schemas/LinkRow'
        header:
          $ref: '#/components/schemas/LinkRow'
      title: BasicTable
    AchSection:
      type: object
      properties:
        acceptance:
          $ref: '#/components/schemas/AchLinkTypes'
        fees:
          $ref: '#/components/schemas/BasicTable'
        price:
          $ref: '#/components/schemas/BasicTable'
      title: AchSection
    CardLinkTypes:
      type: object
      properties:
        amex:
          $ref: '#/components/schemas/LinkData'
        discover:
          $ref: '#/components/schemas/LinkData'
        mastercard:
          $ref: '#/components/schemas/LinkData'
        visa:
          $ref: '#/components/schemas/LinkData'
      title: CardLinkTypes
    CardSection:
      type: object
      properties:
        acceptance:
          $ref: '#/components/schemas/CardLinkTypes'
        fees:
          $ref: '#/components/schemas/BasicTable'
        price:
          $ref: '#/components/schemas/BasicTable'
      title: CardSection
    SSection:
      type: object
      properties:
        ach:
          $ref: '#/components/schemas/AchSection'
        card:
          $ref: '#/components/schemas/CardSection'
      title: SSection
    ASection:
      type: object
      properties:
        minimumDocuments:
          type: integer
        multipleContacts:
          type: boolean
        multipleOwners:
          type: boolean
      title: ASection
    Bnk:
      type: object
      properties:
        accountNumber:
          $ref: '#/components/schemas/LinkData'
        bankName:
          $ref: '#/components/schemas/LinkData'
        routingAccount:
          $ref: '#/components/schemas/LinkData'
        typeAccount:
          $ref: '#/components/schemas/LinkData'
      title: Bnk
    DSection:
      type: object
      properties:
        depositAccount:
          $ref: '#/components/schemas/Bnk'
        withdrawalAccount:
          $ref: '#/components/schemas/Bnk'
      title: DSection
    BAddress:
      type: object
      properties:
        baddress:
          $ref: '#/components/schemas/LinkData'
        baddress1:
          $ref: '#/components/schemas/LinkData'
        bcity:
          $ref: '#/components/schemas/LinkData'
        bcountry:
          $ref: '#/components/schemas/LinkData'
        bstate:
          $ref: '#/components/schemas/LinkData'
        bzip:
          $ref: '#/components/schemas/LinkData'
        maddress:
          $ref: '#/components/schemas/LinkData'
        maddress1:
          $ref: '#/components/schemas/LinkData'
        mcity:
          $ref: '#/components/schemas/LinkData'
        mcountry:
          $ref: '#/components/schemas/LinkData'
        mstate:
          $ref: '#/components/schemas/LinkData'
        mzip:
          $ref: '#/components/schemas/LinkData'
      title: BAddress
    BDetails:
      type: object
      properties:
        btype:
          $ref: '#/components/schemas/LinkData'
        dbaname:
          $ref: '#/components/schemas/LinkData'
        ein:
          $ref: '#/components/schemas/LinkData'
        faxnumber:
          $ref: '#/components/schemas/LinkData'
        legalname:
          $ref: '#/components/schemas/LinkData'
        license:
          $ref: '#/components/schemas/LinkData'
        licstate:
          $ref: '#/components/schemas/LinkData'
        phonenumber:
          $ref: '#/components/schemas/LinkData'
        startdate:
          $ref: '#/components/schemas/LinkData'
        taxfillname:
          $ref: '#/components/schemas/LinkData'
        website:
          $ref: '#/components/schemas/LinkData'
      title: BDetails
    BSection:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/BAddress'
        details:
          $ref: '#/components/schemas/BDetails'
      title: BSection
    CList:
      type: object
      properties:
        contactEmail:
          $ref: '#/components/schemas/LinkData'
        contactName:
          $ref: '#/components/schemas/LinkData'
        contactPhone:
          $ref: '#/components/schemas/LinkData'
        contactTitle:
          $ref: '#/components/schemas/LinkData'
      title: CList
    OList:
      type: object
      properties:
        oaddress:
          $ref: '#/components/schemas/LinkData'
        ocity:
          $ref: '#/components/schemas/LinkData'
        ocountry:
          $ref: '#/components/schemas/LinkData'
        odriverstate:
          $ref: '#/components/schemas/LinkData'
        ostate:
          $ref: '#/components/schemas/LinkData'
        ownerdob:
          $ref: '#/components/schemas/LinkData'
        ownerdriver:
          $ref: '#/components/schemas/LinkData'
        owneremail:
          $ref: '#/components/schemas/LinkData'
        ownername:
          $ref: '#/components/schemas/LinkData'
        ownerpercent:
          $ref: '#/components/schemas/LinkData'
        ownerphone1:
          $ref: '#/components/schemas/LinkData'
        ownerphone2:
          $ref: '#/components/schemas/LinkData'
        ownerssn:
          $ref: '#/components/schemas/LinkData'
        ownertitle:
          $ref: '#/components/schemas/LinkData'
        ozip:
          $ref: '#/components/schemas/LinkData'
      title: OList
    OSection:
      type: object
      properties:
        contact_list:
          $ref: '#/components/schemas/CList'
        own_list:
          $ref: '#/components/schemas/OList'
      title: OSection
    PSection:
      type: object
      properties:
        avgmonthly:
          $ref: '#/components/schemas/LinkData'
        binperson:
          $ref: '#/components/schemas/LinkData'
        binphone:
          $ref: '#/components/schemas/LinkData'
        binweb:
          $ref: '#/components/schemas/LinkData'
        bsummary:
          $ref: '#/components/schemas/LinkData'
        highticketamt:
          $ref: '#/components/schemas/LinkData'
        mcc:
          $ref: '#/components/schemas/LinkData'
        ticketamt:
          $ref: '#/components/schemas/LinkData'
        whenCharged:
          $ref: '#/components/schemas/LinkData'
        whenDelivered:
          $ref: '#/components/schemas/LinkData'
        whenProvided:
          $ref: '#/components/schemas/LinkData'
        whenRefunded:
          $ref: '#/components/schemas/LinkData'
      title: PSection
    BuilderData:
      type: object
      properties:
        services:
          $ref: '#/components/schemas/SSection'
        attributes:
          $ref: '#/components/schemas/ASection'
        banking:
          $ref: '#/components/schemas/DSection'
        business:
          $ref: '#/components/schemas/BSection'
        owners:
          $ref: '#/components/schemas/OSection'
        processing:
          $ref: '#/components/schemas/PSection'
      title: BuilderData
    EntryAttributes:
      type: string
      title: EntryAttributes
    FileContentFtype:
      type: string
      enum:
        - pdf
        - doc
        - docx
        - jpg
        - jpeg
        - png
        - gif
        - txt
      description: The MIME type of the file (if content is provided).
      title: FileContentFtype
    FileContent:
      type: object
      properties:
        fContent:
          type: string
          description: |
            Content of file, Base64-encoded. Ignored if `furl` is specified. Max
            upload size is 30 MB.
        filename:
          type: string
          description: The name of the attached file.
        ftype:
          $ref: '#/components/schemas/FileContentFtype'
        furl:
          type: string
          description: Optional URL provided to show or download the file remotely.
      description: Contains details about a file. Max upload size is 30 MB.
      title: FileContent
    Orgid:
      type: integer
      format: int64
      description: Organization ID. Unique identifier assigned to an org by Payabli.
      title: Orgid
    PageIdentifier:
      type: string
      description: Auxiliary validation used internally by payment pages and components.
      title: PageIdentifier
    RecipientEmailNotification:
      type: boolean
      description: |
        When `true`, Payabli will send the applicant a boarding link. Set this
        value to `false` if you are sending pre-filled applications via the API
        and don't want Payabli to send the applicant an email to complete the
        boarding application.
      title: RecipientEmailNotification
    ReferenceName:
      type: string
      title: ReferenceName
    ReferenceTemplateId:
      type: integer
      format: int64
      title: ReferenceTemplateId
    Resumable:
      type: boolean
      description: |
        When `true`, the applicant can save an incomplete application and
        resume it later. When `false`, the applicant won't have an option to
        save their progress, and must complete the application in one session.
      title: Resumable
    BoardingLinkQueryRecord:
      type: object
      properties:
        acceptOauth:
          $ref: '#/components/schemas/AcceptOauth'
        acceptRegister:
          $ref: '#/components/schemas/AcceptRegister'
        builderData:
          $ref: '#/components/schemas/BuilderData'
        entryAttributes:
          $ref: '#/components/schemas/EntryAttributes'
        id:
          type: integer
          format: int64
        logo:
          $ref: '#/components/schemas/FileContent'
          description: Object containing logo file.
        orgId:
          $ref: '#/components/schemas/Orgid'
        'pageIdentifier:':
          $ref: '#/components/schemas/PageIdentifier'
        recipientEmailNotification:
          $ref: '#/components/schemas/RecipientEmailNotification'
        referenceName:
          $ref: '#/components/schemas/ReferenceName'
        referenceTemplateId:
          $ref: '#/components/schemas/ReferenceTemplateId'
        resumable:
          $ref: '#/components/schemas/Resumable'
      title: BoardingLinkQueryRecord
    PayabliErrorBodyResponseData:
      type: object
      properties:
        explanation:
          type: string
          description: Human-readable explanation of what happened.
        todoAction:
          type: string
          description: Suggested resolution.
      description: Object with detailed error context.
      title: PayabliErrorBodyResponseData
    PayabliErrorBody:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: Always `false` for error responses.
        responseCode:
          type: integer
          description: |
            Code for the response. Learn more in
            [API Response Codes](/developers/api-reference/api-responses).
        responseText:
          type: string
          description: Error text describing what went wrong.
        responseData:
          $ref: '#/components/schemas/PayabliErrorBodyResponseData'
          description: Object with detailed error context.
      required:
        - isSuccess
        - responseText
      description: |
        Shape returned by every Payabli API error response. The `responseData`
        object carries human-readable error context.
      title: PayabliErrorBody
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: requestToken

```

## Examples



**Response**

```json
{
  "acceptOauth": false,
  "acceptRegister": false,
  "builderData": {
    "attributes": {
      "minimumDocuments": 1,
      "multipleContacts": true,
      "multipleOwners": true
    }
  },
  "entryAttributes": "entryAttributes",
  "id": 1000000,
  "logo": {
    "fContent": "TXkgdGVzdCBmaWxlHJ==...",
    "filename": "my-doc.pdf",
    "ftype": "pdf",
    "furl": "https://mysite.com/my-doc.pdf"
  },
  "orgId": 123,
  "pageIdentifier:": "null",
  "recipientEmailNotification": true,
  "referenceName": "payabli-00710",
  "referenceTemplateId": 1830,
  "resumable": false
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.boarding.getByIdLinkApplication(91);
}
main();

```

```python
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.boarding.get_by_id_link_application(
    boarding_link_id=91,
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.boarding().getByIdLinkApplication(91);
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.boarding.get_by_id_link_application(boarding_link_id: 91)

```

```csharp
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Boarding.GetByIdLinkApplicationAsync(
            91
        );
    }

}

```

```go
package example

import (
    context "context"

    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    client.Boarding.GetByIdLinkApplication(
        context.TODO(),
        91,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->boarding->getByIdLinkApplication(
    91,
);

```

```swift
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Boarding/linkbyId/91")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```